package com.yunzhi.liyuanhui.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户
 * </p>
 *
 * @author yansen
 * @since 2020-08-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPerson implements Serializable {

    @ExcelIgnore
    private static final long serialVersionUID = 1L;

    /**
     * 人员ID
     */
    @ExcelIgnore
    @TableId(value = "person_id", type = IdType.AUTO)
    private Integer personId;

    /**
     * openid
     */
    @ExcelIgnore
    private String openid;

    /**
     * 姓名
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "名称", index = 3)
    private String name;

    /**
     * 昵称
     */
    @ColumnWidth(30)
    @ExcelProperty(value = "昵称", index = 4)
    private String nickname;

    /**
     * 头像
     */
    @ExcelIgnore
    private String avatar;

    /**
     * 电话
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "手机", index = 2)
    private String phone;

    /**
     * 性别
     */
    @ExcelIgnore
    private Integer sex;

    /**
     * 创建时间
     */
    @ExcelIgnore
    private LocalDateTime createDate;

    @ColumnWidth(30)
    @ExcelProperty(value = "时间", index = 1)
    @TableField(exist = false)
    private Date excelDate;

    /**
     * 推荐人
     */
    @ExcelIgnore
    private Integer recommender;

    /**
     * 推荐时间
     */
    @ExcelIgnore
    private LocalDateTime recDate;

    /**
     * 状态
     */
    @ExcelIgnore
    private Integer status;

    @ExcelProperty(value = "性别", index = 5)
    @TableField(exist = false)
    private String gender;
}
